Bug 92499 - Start Center GUI for the Templates button dropdown needs alignment and proper styling
Summary: Start Center GUI for the Templates button dropdown needs alignment and proper...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 96073 (view as bug list)
Depends on:
Blocks: Start-Center
  Show dependency treegraph
 
Reported: 2015-07-02 14:28 UTC by steve -_-
Modified: 2018-12-19 03:51 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
inconsistent navigation in startcenter (110.16 KB, image/jpeg)
2015-07-02 14:28 UTC, steve -_-
Details

Note You need to log in before you can comment on or make changes to this bug.
Description steve -_- 2015-07-02 14:28:43 UTC
Created attachment 116998 [details]
inconsistent navigation in startcenter

Expected: all navigation should be done inside the startcenter without opening additional dialogues except for "open with".

Currently: templates has a triangle, which opens a submenu with the exact items the user would get when clicking the template button.

Suggestion: let's make the startcenter nice to use, avoid clutter and create consistency. thus I suggest removing that option form the template button and making it just a simple button as the other items in the startcenter are.

explanatory screenshot attached.
Comment 1 V Stuart Foote 2015-07-02 14:48:32 UTC
Providing StartCenter filtering of template type to Open a template to create a new documents was the goal.  Filtering from a dropdown was a lot better than a tabbed representation on the StartCenter. 

Also, you'd still need a method to access the Edit templates dialog.

IMHO the dropdown menu widget remains the most efficient way to implement use of template filtering.
Comment 2 Cor Nouws 2015-07-02 15:16:42 UTC
One suggestion on the drop down: on my Ubuntu Unity 32bits, the list is aligned at the left side of the word Templates. Better would be aligned left or right with the drop down arrow, IMO.
Comment 3 V Stuart Foote 2015-08-01 12:43:08 UTC
As Cor suggests simple adjustment here is that the drop down needs to be aligned inboard of the frame edge.  But there are several of these tweaks dealing with the Templates button

bug 87697
bug 89103
Comment 4 tommy27 2015-11-01 18:20:21 UTC
+1 to align the menu to the right just below the triangle.

actually when you click it you have to move mouse downs to the left whilst the expected behavior should be to move straight down
Comment 5 steve -_- 2015-11-02 21:10:45 UTC
2 cents incoming: I still do not understand why editing templates needs to be part of the start center. editing templates is an expert option and the start center is there to get users started which means they should be able to select and find templates (and not edit them - at least not from the start center).

So I stick to my initial suggestion to fully remove that odd option which doesn't fit/comply with the rest of the start center navigation style. A dropdown is not expected and looks and feels alienated.

The sorting of templates should be properly done in the template view. no further layer of navigation is required.
Comment 6 Cor Nouws 2015-11-25 20:24:36 UTC
*** Bug 96073 has been marked as a duplicate of this bug. ***
Comment 7 Robinson Tryon (qubit) 2016-08-25 05:39:27 UTC Comment hidden (obsolete)
Comment 8 Heiko Tietze 2017-12-18 10:15:59 UTC
Looks like there is agreement on right-aligning the context menu. Removing needsUX.
Comment 9 QA Administrators 2018-12-19 03:51:21 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug